Bug 803098 - Lxpanel conflict with ibus system tray icon and freemind (Java)
Lxpanel conflict with ibus system tray icon and freemind (Java)
Product: Fedora
Classification: Fedora
Component: lxpanel (Show other bugs)
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-13 20:02 EDT by nomnex
Modified: 2012-08-07 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 15:49:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description nomnex 2012-03-13 20:02:41 EDT
Description of problem:

Lxpanel + ibus + freemind (Java)

After a few minute of usage, I lose keyboard input in the Java application. I had to kill the ibus daemon. See bug https://bugzilla.redhat.com/show_bug.cgi?id=800736

Version-Release number of selected component (if applicable):

Freemind 0.9.0
LXPanel 0.5.6 (Fedora LXDE 15)
java version "1.6.0_22"
OpenJDK Runtime Environment (IcedTea6 1.10.6) (fedora-
OpenJDK Client VM (build 20.0-b11, mixed mode)
ibus-daemon - Version 1.4.1

How reproducible: always

Steps to Reproduce:
1. Open Freemind
2. Type a few words
Actual results:

I lose keyboard input in Freemind. I can only use the mouse.

Additional info:

The culprit is once again the LXDEPanel, see comment: https://bugzilla.redhat.com/show_bug.cgi?id=800736#c6

Ibus panel icon conflicts with the LXDEPanel.

Fedora 15 is soon EOL, and there is no LXDE Panel maintainer. But could you keep this bug open, for reference, until a new panel has come out?
Comment 1 nomnex 2012-03-14 02:32:21 EDT
It does not work.

I had a respite of a few hours, removing the ibus icon from the panel, but the bug is back. I lose keyboard input in the Freemind window, unless I kill ibus-daemon.

You rather close this bug. Sorry about it.
Comment 2 Christoph Wickert 2012-03-14 04:31:30 EDT
What makes you think the problem is in lxpanel? Did you ever try another panel or desktop?
Comment 3 nomnex 2012-03-14 05:21:45 EDT
(In reply to comment #2)
> What makes you think the problem is in lxpanel? Did you ever try another panel
> or desktop?

by loose deduction.

I first installed jedit at the request of fujiwara on notebook 1 (probably because it uses Swing as graphical system, as Freemind).

I did not lose input (2 hours testing) with ibus-daemon running.

Then I tried Freemind on my second notebook -- old panasonic let's note, with intel gpu 855 -- I had no problem using Freemind & ibus. I never had any problem with LXPanel on that notebook.

Back to notebook 1. Since this notebook is affected by several lxpanel bugs (related or not?)

- Firefox freeze the panel
- LibreOffice freeze the panel

I removed the ibus icon from the panel, to see if it would make a difference.


I used to lose keyboard input in Freemind after 3-5 minutes with ibus-daemon running, and the ibus icon in the panel.

Now, after 5 hours of use (freemind & ibus-damon, no ibus icon in the panel) I have lost keyboard input in Freemind  once.


Can I install the XFCE panel (xfce4-panel) in LXDE without breaking anything? I was not aware of that. Should I try it and report
Comment 4 Christoph Wickert 2012-03-14 05:35:29 EDT
Yes, you can install xfce4-panel and use it in LXDE. You will need to edit /etc/xdg/lxsession/LXDE/autostart (and ~/.config/lxsession/LXDE/autostart if you have it) to call xfce4-panel instead of lxpanel.

Please test and report back.
Comment 5 Christoph Wickert 2012-03-22 08:59:56 EDT
Any news here?
Comment 6 nomnex 2012-03-26 05:54:49 EDT
There are good news, and thank you for the tip. XFCE4 panel solved this issue[1], and all the other issues I had on this machine for years using LXDE.

It took me some time to get by the new file manager Thunar, and the plug-ins, and DE env. I do like the simplicity of LXDE DE over XFCE, but I feel some frustration about the LXDE panel stage now.

I will probably use the XFCE Spin on this notebook, when F-17 comes out.

[1]Removing ibus from the lxde panel had already greatly reduced the lose of input in Freemind.
Comment 7 Christoph Wickert 2012-06-10 14:55:28 EDT
I find it hard to believe that this problem is caused by lxpanel, but nevertheless I'd like to ask you to test the update from https://admin.fedoraproject.org/updates/lxpanel-0.5.9-1.fc15
Comment 8 Fedora End Of Life 2012-08-07 15:49:07 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.